package com.seostella.spring;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.CookieValue;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
public class HomeController {
	
	@RequestMapping(value = "/", method = RequestMethod.GET)
	public String home() {
		return "home";
	}
	
	@RequestMapping(value = "/cookie", method = RequestMethod.GET)
	public String cookie(@CookieValue("JSESSIONID") String jsessionid, Model model) {
		model.addAttribute("msg", "JSESSIONID: " + jsessionid );
		return "info";
	}
	
	@RequestMapping(value = "/header", method = RequestMethod.GET)
	public String header(@RequestHeader("Accept-Encoding") String encoding, Model model) {
		model.addAttribute("msg", "Accept-Encoding: " + encoding );
		return "info";
	}
}
